# $Revision: 1.28 $, $Date: 2010/11/28 15:38:36 $
Summary:	Psion 5 data format library
Summary(pl.UTF-8):	Biblioteka obsługi plików Psion 5
Name:		psiconv
Version:	0.9.7
Release:	7
License:	GPL
Group:		Libraries
Source0:	http://huizen.dds.nl/~frodol/psiconv/%{name}-%{version}.tar.gz
# Source0-md5:	1a14f0e5a047d136348b6c0e19051289
Patch0:		%{name}-gcc34.patch
URL:		http://huizen.dds.nl/~frodol/psiconv/
BuildRequires:	ImageMagick-devel
BuildRequires:	automake
BuildRequires:	bc
BuildRequires:	gcc-c++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package is meant to make the Psion 5 series of PDAs, as well as
other small computers running Epoc 32, more usable to non-Windows
users. The package consists of several parts:
- Documentation about Psion 5 data formats;
- A library which can be linked against application that have to read
  (and in the future, perhaps write) Psion 5 files;
- An example command-line program which reads Psion files and writes
  more commonly used formats.

%description -l pl.UTF-8
Ten pakiet ma za zadanie uczynić PDA serii Psion 5 oraz inne małe
komputery na Epoc 32 bardziej użytecznymi dla użytkowników systemów
innych niż Windows. Pakiet zawiera:
- dokumentację o formatach danych Psion 5,
- bibliotekę dla aplikacji, która może czytać (w przyszłości być może
  także zapisywać) pliki Psion 5,
- przykładowy program czytający pliki Psion 5 i zapisujący w częściej
  spotykanych formatach.

%package devel
Summary:	Development part of psiconv
Summary(pl.UTF-8):	Część psiconv przeznaczona dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for psiconv and Psion 5 file format documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe psiconv oraz dokumentacja formatu plików Psion 5.

%package static
Summary:	Static psiconv library
Summary(pl.UTF-8):	Statyczna biblioteka psiconv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static psiconv library.

%description static -l pl.UTF-8
Statyczna biblioteka psiconv.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf formats/xhtml/.temp

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/psiconv
%attr(755,root,root) %{_libdir}/libpsiconv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpsiconv.so.?
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/psion
%{_datadir}/%{name}/xhtml
%{_mandir}/man1/psiconv.1*

%files devel
%defattr(644,root,root,755)
%doc formats/xhtml/*
%attr(755,root,root) %{_bindir}/psiconv-config
%attr(755,root,root) %{_libdir}/libpsiconv.so
%{_libdir}/libpsiconv.la
%{_includedir}/psiconv
%{_mandir}/man1/psiconv-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libpsiconv.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: psiconv.spec,v $
Revision 1.28  2010/11/28 15:38:36  hawk
- release 7

Revision 1.27  2010/01/18 20:33:35  sparky
- moved psiconv-config and its man page to -devel
- package lib correctly
- BR: gcc-c++ (because configure is broken and undefining __cxx does not work)

Revision 1.26  2010/01/18 07:43:38  amateja
- release 6

Revision 1.25  2009/03/13 16:43:12  hawk
- release 5

Revision 1.24  2008/06/16 07:07:30  arekm
- rel 4

Revision 1.23  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.21  2006/04/05 14:04:18  hawk
- release 3 (rebuild with new ImageMagick)

Revision 1.20  2005/10/05 17:01:45  arekm
- rel 2

Revision 1.19  2005/07/22 09:48:40  qboosh
- missing dir

Revision 1.18  2005/07/22 09:44:26  blekot
- up to 0.97
- more %files

Revision 1.17  2005/03/29 22:18:10  qboosh
- unified

Revision 1.16  2005/03/29 09:12:39  freetz
- merged from DEVEL

Revision 1.15  2005/01/02 17:35:23  darekr
- back to 0.8.3, 0.9.6 is on DEVEL

Revision 1.14  2005/01/01 18:36:38  darekr
- updated to 0.9.6
- added ChangeLog to %doc
- added config file
- missing manuals

Revision 1.13  2004/10/31 21:05:46  paladine
- spaces->tabs
- formatting

Revision 1.12.2.7  2005/01/20 09:17:39  krzak
- BR: bc

Revision 1.12.2.6  2004/09/16 11:10:51  freetz
- gcc 3.4.x fix - patch added

Revision 1.12.2.5  2004/05/18 12:27:19  grzegol
- updated to 0.9.6

Revision 1.12.2.4  2004/04/07 22:39:03  grzegol
- updated to 0.9.5

Revision 1.12.2.3  2004/03/18 12:08:37  grzegol
- updated to 0.9.4

Revision 1.12.2.2  2004/03/18 09:06:29  qboosh
- leave manual compression to rpm macros

Revision 1.12.2.1  2004/03/17 22:03:21  grzegol
- updated to 0.9.3 (it's API incopatible with 0.8.x versions)

Revision 1.12  2004/03/12 17:09:18  grzegol
- added BR: ImageMagick-devel
- strict internal deps

Revision 1.11  2003/12/27 21:10:59  undefine
- BR automake, copy config.sub to allow build on amd64

Revision 1.10  2003/11/24 12:48:42  averne
- release 2

Revision 1.9  2003/05/28 13:01:25  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2002/11/25 14:17:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.6  2002/07/24 15:15:42  marcus
- new version 0.8.3 (unable to regeneration ac/am too)

Revision 1.5  2002/07/23 20:22:18  marcus
- use new %doc

Revision 1.4  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:14:42  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/10/30 03:55:22  kloczek
- added missing %post/%posttun with run /sbin/ldconfig.

Revision 1.1  2001/10/25 09:40:17  qboosh
- new: Psion5 to other formats conversion library+program
